Nowy WordPress 3.2 – większe wymagania dla serwera

Ukazała się kolejna wersja popularnego oprogramowania blogowego WordPress, na którym też oparty jest mój blog. Zmiany dokonane w stosunku do poprzednich wersji raczej nie są rewolucyjne i ograniczają się do drobiazgów umilających pracę. Na pierwszy rzut oka zmiany dotknęły głównie wyglądu “kokpitu”, czyli panelu administracyjnego.

WordPress

Dużo ważniejszą, choć jak to w przypadku oprogramowania bywa niewidoczną dla oka zmianą są wymagania dotyczące serwera. Do tej pory WordPress nie miał zbyt wielkiego apetytu na nowinki i mógł działać w zasadzie na każdym współczesnym serwerze. Teraz zmieniło się to dość znacznie i aby móc “odpalić” bloga serwer musi obsługiwać minimum PHP w wersji 5.2.4, oraz MySQL w wersji 5.0.15.

Aktualizacja WordPressa

Jeżeli serwer ma zainstalowaną wersję PHP czy MySQL starsze od podanych, radzę nie aktualizować bloga aby uniknąć ewentualnych problemów. Co wtedy zrobić? Na początek warto napisać do administratora serwera z zapytaniem czy jest możliwość zainstalowania nowszych wersji PHP/MySQL. Jeśli będzie to niemożliwe to pozostaje przeniesienie bloga na inny serwer lub wstrzymanie się z aktualizacją.

Aby w prosty sposób sprawdzić czy serwer jest gotowy na nowego WordPressa można zainstalować wtyczkę Health Check.

Health Check

Pełna lista “ficzersów” na stronie WordPressa.

4 przemyślenia nt. „Nowy WordPress 3.2 – większe wymagania dla serwera

  1. Mam problem z instalacją skryptu. Nie mogę w podany wyżej sposób sprawdzić czy serwer ma właściwe parametry ponieważ od razu po wgraniu plików na serwer pokazuje się komunikat: Warning: Cannot modify header information – headers already sent by (output started at /home/xxx/domains/xx.pl/public_html/wp-config.php:1) in /home/xxx/domains/xxx.pl/public_html/wp-includes/pluggable.php on line 865
    Wszystko mam zrobione według instrukcji. Pliki wgrywam na płatny serwer.
    Próbuję z wersjami 2.8.4 oraz 3.5.1 i zawsze jest te sam komunikat.
    Najciekawsze jest to, że te skrypty zainstalowane na darmowym hostingu instalują się bez problemów.
    Czy może mi ktoś powiedzieć co zrobić, aby było dobrze?
    Szukałam już rozwiązania tego problemu w google, jednak znalazłam tylko podobne sytuacje podczas aktualizacji skryptu.

Jakieś przemyślenia? Podziel się nimi! :)